import TransformFunction from '../interfaces/TransformFunction';
/**
 * A factory function to create a single Snippet object from a filepath
 *
 * @param filepath The path of the file to create a Snippet object from
 * @param options.language The language of the snippet
 * @param options.transform A function to transform the original code
 *
 * @returns A Snippet object
 */
declare const createSnippetFromPath: (filepath: string, { language, transform }: {
    language: string;
    transform?: TransformFunction | undefined;
}) => import("../interfaces/Snippet").default;
export default createSnippetFromPath;
//# sourceMappingURL=createSnippetFromPath.d.ts.map